LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XClipboardEx Interface Referencepublished

The extended clipboard interface. More...

`import"XClipboardEx.idl";`

Inheritance diagram for XClipboardEx:

## Public Member Functions
byte | getRenderingCapabilities ()
| To determine the supported rendering capabilities of the clipboard instance. More...
Public Member Functions inherited from XClipboard
com::sun::star::datatransfer::XTransferable | getContents ()
| To get the current content of the clipboard. More...
void | setContents ([in] com::sun::star::datatransfer::XTransferable xTrans, [in] XClipboardOwner xClipboardOwner)
| Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents. More...
string | getName ()
| To get the name of the clipboard instance. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The extended clipboard interface.

See also
  com::sun::star::datatransfer::clipboard::XClipboard

## Member Function Documentation

byte getRenderingCapabilities | ( |  | ) |

To determine the supported rendering capabilities of the clipboard instance.

Returns
  A set of flags describing the rendering capabilities of the clipboard instance.

See also
  RenderingCapabilities

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/clipboard/XClipboardEx.idl